import bb.cascades 1.2

Container {
    id: accountsSelected
    
    property variant hubAccounts: _fileSystem.hubAccounts
    property variant enabledHubAccounts: _fileSystem.enabledHubAccounts
    
    layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
    horizontalAlignment: HorizontalAlignment.Center
    
    onHubAccountsChanged: {
        updateHubAccounts()
    }
    
    onCreationCompleted: {
        updateHubAccounts()
    }
    
    function updateHubAccounts() {
        firstContainer.removeAll()
        secondContainer.removeAll()
        for (var i = 0; i < hubAccounts.length; i++) {
            if (hubAccounts[i] != "") {
                emptyCheckBox.source = "EmptyCheckBox.qml"
                var thisCheckBox = emptyCheckBox.createObject()
                thisCheckBox.account = hubAccounts[i]
                thisCheckBox.accountEnabled = (enabledHubAccounts.indexOf(hubAccounts[i]) >= 0)
                if (i < (hubAccounts.length / 2))
                    firstContainer.add(thisCheckBox)
                else 
                    secondContainer.add(thisCheckBox)
            }
        }
    }
    
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin

//    horizontalAlignment: HorizontalAlignment.Center
    attachedObjects: [
        ComponentDefinition { id: emptyCheckBox }
    ]
    
    Container {
        id: firstContainer
        layoutProperties: StackLayoutProperties { spaceQuota: 2 }
    }
    Container {
        id: secondContainer
        layoutProperties: StackLayoutProperties { spaceQuota: 2 }
    }
    Container {
        id: emptyContainer
        layoutProperties: StackLayoutProperties { spaceQuota: 1 }
    }
}
