import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Check Calendar Events Next...")
        Option {                        
            text: qsTr("15 Minutes")
            value: 15
        }
        Option {
            text: qsTr("30 Minutes")
            value: 30
        }
        Option {
            text: qsTr("45 Minutes")
            value: 45
        }
        Option {
            text: qsTr("1 Hour")
            value: 60
        }
        Option {
            text: qsTr("2 Hours")
            value: 120
        }
        Option {
            text: qsTr("6 Hours")
            value: 360
        }
        Option {
            text: qsTr("12 Hours")
            value: 720
        }
        Option {
            text: qsTr("18 Hours")
            value: 1080
        }
        Option {
            text: qsTr("Today's Only (Until Midnight)")
            value: -1
        }
        Option {
            text: qsTr("24 Hours")
            value: 1440
        }
        Option {
            text: qsTr("48 Hours")
            value: 2880
        }
        onSelectedOptionChanged: {
            _app.sendToHeadless("CALENDAR_MINUTES_TO_CHECK_CHANGED", selectedValue.toString())
            _settings.setValue("calendarMinutesToCheck", selectedValue)
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("calendarMinutesToCheck", 1440)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
