import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Theme")
        Option {                        
            id: dark
            text: qsTr("Dark")
            value: true
        }
        Option {
            id: bright
            text: qsTr("Bright")
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("isDarkThemeDropDown", selectedValue)
            navigationPane.isDarkTheme = selectedValue
            label.visible = true
        }
    }
    Label {
        id: label
        text: qsTr("You need to restart the app for changes to take effect")
        horizontalAlignment: HorizontalAlignment.Center
        multiline: true
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("isDarkThemeDropDown", true)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
        label.visible = false
    }
}
