import bb.cascades 1.2
import "Actions"

Page {
    titleBar: TitleBar {
        title: qsTr("Help")
    }

    actions: [
//        ReviewActionOnBarOrSignature {},
//        ShareAction {}
        ShowChangelogAction {},
        TutorialAction {}
    ]
    
    ScrollView {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        Container {
            topPadding: navigationPane.generalPadding
            leftPadding: topPadding
            rightPadding: topPadding
            bottomPadding: topPadding * 4
            layout: DockLayout {}
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                verticalAlignment: VerticalAlignment.Center
                Label {
                    text: qsTr("One of my watchfaces doesn't show anything or doesn't seem to work properly.")
                    textStyle.fontSize: FontSize.Large
                    textStyle.textAlign: TextAlign.Justify
                    textStyle.color: Color.Red
                    multiline: true
                }
                Label {
                    text: "Bridge: " + qsTr("Open Pebble Time app, delete Hub2Watch watchface and reinstall it through Pebble Appstore. Make sure Bridge and Bridge Droid are running in Device Monitor.")
                    textStyle.fontSize: FontSize.Medium
                    textStyle.textAlign: TextAlign.Justify
                    multiline: true
                }
                Label {
                    text: "Talk2Watch Pro: " + qsTr("Open Talk2Watch Pro, swipe down from top and select 'Scripts'. Click on Hub2Watch folder and click 'Delete app'. Open Hub2Watch and rerun the Tutorial (in the bottom of this screen), making sure to click on 'Authorize With Talk2Watch' button.")
                    textStyle.fontSize: FontSize.Medium
                    textStyle.textAlign: TextAlign.Justify
                    multiline: true
                }
                Divider {}
                Label {
                    text: qsTr("A watchface doesn't want to install.")
                    textStyle.fontSize: FontSize.Large
                    textStyle.textAlign: TextAlign.Justify
                    textStyle.color: Color.Red
                    multiline: true
                }
                Label {
                    text: "Bridge: " + qsTr("Pebble Time app isn't installed, install it and install watchface from Pebble Appstore.")
                    textStyle.fontSize: FontSize.Medium
                    textStyle.textAlign: TextAlign.Justify
                    multiline: true
                }
                Label {
                    text: "Talk2Watch Pro: " + qsTr("In Talk2Watch Pro, swipe down from top and choose 'App Store'. If the watchface you're trying to install is listed in your App Locker, click on it and delete it. Retry to install with Hub2Watch. If this still doesn't work, try to install by searching for Hub2Watch in Pebble App Store (in Pebble Time Android app) and install from there. Talk2Watch isn't always reliable for installing watchfaces.")
                    textStyle.fontSize: FontSize.Medium
                    textStyle.textAlign: TextAlign.Justify
                    multiline: true
                }
                Divider {}
                Label {
                    text: qsTr("The configuration page for a watchface is giving an error.")
                    textStyle.fontSize: FontSize.Large
                    textStyle.textAlign: TextAlign.Justify
                    textStyle.color: Color.Red
                    multiline: true
                }
                Label {
                    text: "Bridge: " + qsTr("Bridge doesn't have that issue, configuration page is reliable with Bridge.")
                    textStyle.fontSize: FontSize.Medium
                    textStyle.textAlign: TextAlign.Justify
                    multiline: true
                }
                Label {
                    text: "Talk2Watch Pro: " + qsTr("Update Talk2Watch Pro (version 30.0.8.0 and up is required for this feature). Configuration page is not always reliable with Talk2Watch Pro.")
                    textStyle.fontSize: FontSize.Medium
                    textStyle.textAlign: TextAlign.Justify
                    multiline: true
                }
                Divider {}
                Label {
                    text: qsTr("I still have an issue that the previous questions didn't solved.")
                    textStyle.fontSize: FontSize.Large
                    textStyle.textAlign: TextAlign.Justify
                    textStyle.color: Color.Red
                    multiline: true
                }
                Label {
                    text: qsTr("Contact developer at roger@rogerleblanc.net")
                    textStyle.fontSize: FontSize.Medium
                    content.flags: TextContentFlag.ActiveText
                    textStyle.textAlign: TextAlign.Justify
                    multiline: true
                }
            }
        }
    }
}
