import bb.cascades 1.2
import bb.cascades.places 1.0

Container {
    property string placeName: _settings.value("placeName", "")
    
    onPlaceNameChanged: { _settings.setValue("placeName", placeName) }
    
    layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
    
    Container {
        layoutProperties: StackLayoutProperties { spaceQuota: 3 }
        Label {
            text: (placeName == "") ? qsTr("No Place Set") : placeName
        }
    }
    
    Container {
        layoutProperties: StackLayoutProperties { spaceQuota: 1 }
        Button {
            id: button
            text: qsTr("Change Place")
            onClicked: {
                var place = picker.show ()
                if (place) {
                    placeName = place.name
                    console.log(place.name)
                    _settings.setValue("placeSelected", place.latitude + "," + place.longitude)
                    _app.sendToHeadless("NEW_PLACE_SELECTED", place.latitude + "," + place.longitude) // Request refresh
                } else {
                    if (_settings.value("placeSelected", "") == "") {
                        placeName = "New York, NY"
                        _settings.setValue("placeSelected", "40.7127,74.0059")
                    }
                }
            }
            attachedObjects: [
                PlacePicker {
                    id: picker
                }
            ]
        }
    }
}
