import bb.cascades 1.2

Container {
    property string watchfaceName
    property string watchfaceNumber
    property string pebbleId
    property string baseUuid: "28af3dc7e40d490fbef229548c8beee"
    property bool watchappEnabled: false
    
    leftMargin: _ui.du(5)
    rightMargin: leftMargin
    
    attachedObjects: [
        Invocation {
            id: pebbleInvocation
            onArmed: { trigger(query.invokeActionId) }
        },
        Invocation {
            id: t2wInvocation
            onArmed: { trigger(query.invokeActionId) }
        }
    ]
    
    Label {
        text: watchfaceName
        horizontalAlignment: HorizontalAlignment.Center
        multiline: true
    }
    ImageView { 
        id: imageView 
        horizontalAlignment: HorizontalAlignment.Fill
        imageSource: "asset:///Watchfaces/Hub2Watch_" + watchfaceNumber + ".png"
        scalingMethod: ScalingMethod.AspectFit
        minHeight: _ui.du(28.8)
        minWidth: _ui.du(33.6)
    }
    
    Header { title: qsTr("Bridge") + Retranslate.onLocaleOrLanguageChanged }
    Button {
        text: qsTr("Install this watchface")
        horizontalAlignment: HorizontalAlignment.Fill
        onClicked: {
            pebbleInvocation.query.uri = "pebble://appstore/" + pebbleId
            pebbleInvocation.query.updateQuery()
            _app.sendToHeadless("WATCHFACE_INSTALLED", baseUuid + watchfaceNumber)
        }
    }
    
    Header { title: qsTr("Talk2Watch") + Retranslate.onLocaleOrLanguageChanged }
    Button {
        text: qsTr("Install this watchface")
        horizontalAlignment: HorizontalAlignment.Fill
        onClicked: {
            t2wInvocation.query.invokeActionId = "bb.action.SHARE"
            t2wInvocation.query.invokeTargetId = "com.Talk2WatchPro"
            t2wInvocation.query.uri = _publicDir + "assets/Watchfaces/Hub2Watch_" + watchfaceNumber + ".pbw"
            t2wInvocation.query.updateQuery()
            _app.sendToHeadless("WATCHFACE_INSTALLED", baseUuid + watchfaceNumber)
        }
    }
    Button {
        visible: watchappEnabled
        text: qsTr("Install this watchapp")
        horizontalAlignment: HorizontalAlignment.Fill
        onClicked: {
            t2wInvocation.query.invokeActionId = "bb.action.SHARE"
            t2wInvocation.query.invokeTargetId = "com.Talk2WatchPro"
            t2wInvocation.query.uri = _publicDir + "assets/Watchfaces/Hub2Watch_" + watchfaceNumber + "_app.pbw"
            t2wInvocation.query.updateQuery()
            _app.sendToHeadless("WATCHFACE_INSTALLED", baseUuid + watchfaceNumber)
        }
    }
}
