/* Copyright (c) 2013 BlackBerry Limited.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import bb.cascades 1.3

MultiCover {
    id: multiCover
    property alias labelText: label.text
    
    SceneCover {
        id: bigCover
        MultiCover.level: CoverDetailLevel.High

        content: Container {
            layout: DockLayout {}
            background: navigationPane.isDarkTheme ? Color.Black : Color.White
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Label {
                id: label
                visible: (text != "")
                multiline: true
                textStyle.color: navigationPane.isDarkTheme ? Color.White : Color.Black
                textStyle.fontSize: FontSize.Medium
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                topPadding: navigationPane.generalPadding
                bottomPadding: topPadding
                leftPadding: topPadding
                rightPadding: topPadding
                visible: !label.visible
                ImageView {
                    imageSource: "asset:///images/icons/appIcon_480.png"
                    scalingMethod: ScalingMethod.AspectFit
                }
            }
        }
    } // sceneCover HIGH
    
    SceneCover {
        id: smallCover
        MultiCover.level: CoverDetailLevel.Medium
        
        content: Container {
            layout: DockLayout {}
            background: navigationPane.isDarkTheme ? Color.Black : Color.White
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Label {
                text: label.text
                visible: (text != "")
                multiline: true
                textStyle.color: navigationPane.isDarkTheme ? Color.White : Color.Black
                textStyle.fontSize: FontSize.XSmall
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                topPadding: navigationPane.generalPadding
                bottomPadding: topPadding
                leftPadding: topPadding
                rightPadding: topPadding
                visible: !label.visible
                ImageView {
                    imageSource: "asset:///images/icons/appIcon_480.png"
                    scalingMethod: ScalingMethod.AspectFit
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                }
            }
       }
    } // sceneCover MEDIUM
}