import bb.cascades 1.3

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin

    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Theme")
        Option {                        
            id: dark
            text: qsTr("Dark")
            value: true
        }
        Option {
            id: bright
            text: qsTr("Bright")
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("isDarkThemeDropDown", selectedValue)
            navigationPane.isDarkTheme = selectedValue
            Application.themeSupport.setVisualStyle(selectedValue ? VisualStyle.Dark : VisualStyle.Bright)
        }
        onCreationCompleted: { _settings.value("isDarkThemeDropDown", true) ? setSelectedOption(dark) : setSelectedOption(bright) }
    }
}
